package com.sky.ioc.controller.space;

import com.sky.ioc.service.space.BuildingService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags ="楼栋信息")
@Slf4j
@RestController("building")
@RequestMapping("/building")
public class BuildingController {

    @Autowired
    BuildingService buildingService;

    @ApiOperation("楼栋信息")
    @GetMapping("/getBuilding")
    public ReturnMsg getBuilding(){

        return buildingService.listBuilding();
    }
}
