package com.sky.ioc.entity.domain.parking;

import lombok.Data;
import lombok.NonNull;

import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO
 * @Description  停车位
 * @Author LunCe
 * @Date 2023/3/14 11:08
 **/

@Data
public class Parking {

    private  Integer id;

    /**车位*/
    private String position;

    /**拥有者ID*/
    private Integer userId;
    /**拥有者*/
    private String people;

    /**单位ID*/
    private String companyId;

    /**单位名称*/
    private String company;

    /**
     * 车位编号
     * */
    private String parkingNumbers;

    /**
     * 车位类型
     * */
    private String parkingType;
    /**车位状态 1 空闲 2已被预约 3车位被使用*/
    private String parkingStatus;

    /**最长停车时间*/
    private String prkingDurationLong;
    /**最段停车时间*/
    private String prkingDurationBreak;








}
