package com.sky.ioc.entity.params;

import lombok.Data;

/** 全局参数 */
@Data
public class IocParam {

    /**
     * 楼宇ID
     */
    private Integer buildingId;
    /**
     * 单位ID
     */
    private Integer companyId;
    /**
     * 部门ID
     */
    private Integer deptId;
    /**
     * 楼层ID
     */
    private Integer floorId;

    /**
     * 会议室ID
     */
    private Integer roomId;

    /**
     * 分页数
     */
    private Integer limit =15;

    /**
     * 日期范围
     */
    private IocTimeRange timeRange;
}
