package com.sky.ioc.entity.params.scene;

import lombok.Data;

@Data
public class ParkParam {

    /**
     * 支付方式
     *  1手机支付 2人工 3年卡
     * */
    private Integer paytype;

    /**
     *订单状态
     * 1 待支付
     * 2 已支付
     */
    private Integer orderStatus;

    /**
     * 车牌号
     * */
    private String carCode;

    /**
     * 分页数
     */
    private Integer pageSize =10;

    /**
     * 分页数
     */
    private Integer pageStart =0;

    /** 开始时间 */
    private String startTime;

    /** 结束时间 */
    private String endTime;


}
