package com.sky.ioc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.domain.canteen.Cuisine;
import com.sky.ioc.entity.params.IocParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface CuisineMapper extends BaseMapper<Cuisine> {

    @Select("SELECT  id,cuisine_name,cuisine_img,price FROM cuisine where cuisine_name = #{name} limit 1")
    Cuisine getByName(@Param("name") String name);


}
