package com.sky.ioc.mapper.meeting;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.domain.meeting.MeetingRoom;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeetingRoomMapper extends BaseMapper<MeetingRoom> {
    @Select("<script> " +
            "select * from meeting_room where 1=1 " +
            "<if test='floorId!=null '>" +
            " and floor_id = #{floorId} " +
            "</if>" +
            "</script>")
    List<MeetingRoom> getListRoomByFloorId(@Param("floorId") Integer floorId);


}
