package com.sky.ioc.mapper.space;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.domain.space.BuildingFloor;
import com.sky.ioc.entity.domain.space.BuildingSpace;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BuildingFloorMapper extends BaseMapper<BuildingFloor> {

    @Select("<script>" +
            "SELECT sum(meeting_area) as meetingArea,sum(work_area) as workArea,sum(other_area) as otherArea " +
            " FROM building_space where is_del=0 " +
            "</script>")
    BuildingFloor getSumByTier();
}
