package com.sky.ioc.controller.dashboard;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.service.supermarket.SupermarketService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/2/23 10:32
 **/

@Api(tags ="智能看板----商超模块")
@Slf4j
@RestController("dashboard_supermarket")
@RequestMapping("/dashboard_supermarket")
public class SupermarketController {



    @Autowired
    private SupermarketService supermarketService;




    @ApiOperation("查询智能看板统计画像的商超核心指标")
    @PostMapping("getSupermarketCoreIndicators")
    public ReturnMsg getSupermarketCoreIndicators(@RequestBody IocParam iocParam){
        return supermarketService.getSupermarketCoreIndicators(iocParam);
    }



    @ApiOperation("查询智能看板统计画像的商超信息报表")
    @PostMapping("getSupermarketInfoList")
    public ReturnMsg  getSupermarketInfoList(@RequestBody IocParam iocParam){
        return supermarketService.getSupermarketInfoList(iocParam);
    }



}
