package com.sky.ioc.entity.domain.carbon;

import lombok.Data;
/**
 * 数智双碳--车辆排放
 * */
@Data
public class CarCarbon {

    private Integer id;

    /**
     * 车辆编码
     * */
    private String carNumber;
    /**
     * 行驶时长
     * */
    private Integer hours;

    /**
     * 排放量
     * */
    private String discharge;

    /**
     * 行驶里程
     * */
    private String mileage;

    /**
     * 时间
     * */
    private String time;
    /**
     * 部门id
     * */
    private Integer deptId;

    private Integer companyId;
}
