package com.sky.ioc.entity.domain.meeting;

import lombok.Data;

@Data
public class MeetingRecord {
    private Integer id;
    /** 会议主题 */
    private String subject;
    /** 单位 */
    private Integer companyId;
    /** 部门 */
    private Integer deptId;
    /** 楼层 */
    private Integer floor;
    /** 房间 */
    private Integer roomId;
    /** 开始时间 */
    private String startTime;
    /** 结束时间 */
    private String endTime;
    /** 会议人数 */
    private Integer personNum;

    /**
     * 会议时长
     * */
    private Long minutes;

    private String bookPerson;
    private String bookPhone;

}
