package com.sky.ioc.entity.domain.meeting;

import lombok.Data;

@Data
public class MeetingRoom {

    private Integer id;
    /** 排序号 */
    private String orderNo;
    /** 编号 */
    private String mrNo;
    /** 会议室名称 */
    private String name;
    /** 楼层 */
    private Integer floorId;
    /** 类型 */
    private String  type;
    /** 状态 */
    private Integer room;


    /** 开放时间 */
    private String openTime;
    /** 关闭时间 */
    private String closeTime;

    /** 会议超过几小时需要审核 */
    private String auditTime;
    /** 限定可预约时间(天) */
    private String limitDay;

    private Integer isDel;

    /**备注*/
    private String remark;

    /** 容纳人数 */
    private Integer capacity;

}
