package com.sky.ioc.entity.domain.operation;

import lombok.Data;
/**
 * 投资
 * */
@Data
public class Investment {

    private Integer id;
    /**
     * 投资名称
     * */
    private String name;
    /**
     * 投资金额
     * */
    private Double money;
    /**
     * 投资开始时间
     * */
    private String startTime;
    /**
     * 投资结束时间
     * */
    private String endTime;

    /**
     * 投资回报率
     * */
    private String rateOfReturn;

    private Integer companyId;

    private Integer deptId;

    /**
     * 投资领域
     * */
    private String field;
}
