package com.sky.ioc.entity.domain.parking;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

/**
 * TODO
 * @Description  停车记录
 * @Author LunCe
 * @Date 2023/3/21 14:22
 **/

@Data
public class Park {

    private  Integer id;

    /**拥有者ID*/
    private Integer userId;
    /**拥有者*/
    private String people;

    /**单位ID*/
    private String companyId;

    /**单位名称*/
    private String company;
    /**车牌号*/
    private String licencePlate;
    /**进入时间*/
    private String entryTime;
    /**离开时间*/
    private String departureTime;
    /**是否违停*/
    private Integer type;

    /**
     * 车位编号
     * */
    private String parkingNumbers;
    /**
     * 停车时长
     * */
    @TableField
    private  Long hours;


}
