package com.sky.ioc.entity.domain.scene;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import org.springframework.context.annotation.Primary;

import java.lang.reflect.Type;

@Data
public class Strategy {

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**名称*/
    private String name;
    /**类别
     * 1 会议
     * 2 空调
     * 3 照明
     * 4 饮水机
     * */
    private Integer type;
    /**创建时间*/
    private String createTime;
    /**创建人*/
    private String creator;

    /**状态 是否启用
     * 0未启用
     * 1 启用
     * */
    private Integer status = 0;

    /**配置参数*/
    private String configParams;
    /**
     * 是否删除
     * */
    private Integer isDel = 0;
}
