package com.sky.ioc.entity.domain.security;

import lombok.Data;

@Data
public class SecurityDevice {

    /** ID */
    private Integer id;
    /** 第三方ID */
    private String thirdId;
    /** 设备名称 */
    private String deviceName;
    /** 设备ID */
    private String deviceId;
    /** 设备类型：1-摄像头 */
    private int deviceType;
    /** 设备位置 */
    private String deviceLocation;
    /** 设备年限 */
    private int deviceAge;
    /** 单位ID */
    private String companyId;
    /** 负责人ID */
    private String userId;
    /** 分组 */
    private String deviceGroup;
    /** 设备状态：1-开启 */
    private int status;

}
