package com.sky.ioc.entity.domain.security;

import lombok.Data;

@Data
public class SecurityPerson {

    private String id;
    /** 用户名 */
    private String name;
    /** 工号 */
    private String workNumber;

    /** 手机号 */
    private String phone;
    /** 工作区域 */
    private String scope;

    /**头像*/
    private String photo;

    /** 单位ID */
    private Integer companyId;
    /** 部门ID */
    private String deptId;

    /** 单位 */
    private String company;
    /** 部门 */
    private String department;

    /** 创建时间 */
    private String registerTime;
    /** 1安防人员 2前台人员 */
    private Integer type;

}
