package com.sky.ioc.entity.params.scene;

import lombok.Data;

@Data
public class DoorAccessParam {

    /**
     * 人员类型
     *  1自有员工 2协作员工 3访客
     * */
    private Integer type;

    /**姓名*/
    private String name;

    /**
     * 设备名称
     * */
    private String equipment;
    /**
     * 分页数
     */
    private Integer pageSize =10;

    /**
     * 分页数
     */
    private Integer pageStart =0;

    /** 开始时间 */
    private String startTime;

    /** 结束时间 */
    private String endTime;

    /**
     *通行方向
     * 1 进
     * 2 出
     */
    private Integer direction;

    /**
     * 部门id
     * */
    private Integer deptId;
}
