package com.sky.ioc.entity.result.system;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class LoginUserVo {

    private String id;
    /** 用户名 */
    private String userName;
    /** 头像 */
    private String photograph;
    /** 昵称 */
    private String name;
    /** 手机号 */
    private String phone;
    /** 邮箱 */
    private String email;
    /** 单位ID */
    private String company;
    /** 部门ID */
    private String department;
    /** 在职状态 0-在职 */
    private String onJobStatus;
    private String duty;
    /** 账户状态 0-在职 */
    private String accountStatus;
    private String nationality;
    /** 创建时间 */
    private String registerTime;
    /**
     * 常用功能ID，例如 1,5,6
     */
    private  String commonMenus;
}
