package com.sky.ioc.job;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.domain.meeting.MeetingRoom;
import com.sky.ioc.service.meeting.MeetingRoomService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Slf4j
public class MeetingRoomJob implements Job {

    @Autowired
    MeetingRoomService meetingRoomService;

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        log.info(String.format("同步会议室数据!  时间:" + new Date()));
        meetingRoomService.getMeetingRoomList();

    }
}
